Subject: bug#13106: Graphical glitches in Cocoa Emacs

From: Jan Djärv <[email-masked]>
Date: Mon, 10 Dec 2012 07:29:43 +0100

Hello.

7 dec 2012 kl. 13:58 skrev Bjarte Johansen <[email-masked]>:

> 
> On Dec 7, 2012, at 02:48, Stefan Monnier <[email-masked]> wrote:
> 
>>> The version I have been using is Emacs 24.2, but I have had this problem
>>> since Emacs 23.* (or when started using OS X).
>> 
>> Please try it with the pretest version (24.2.90, a pre-release version
>> of 24.3), and see if you can come up with a way to reproduce
>> the problem.
>> 
>> 
>>       Stefan
> 
> I still get some artefacts, though right now it seems to be much less then usual. How I reproduce it it to run /Emacs -Q --eval "(set-face-attribute 'default nil :font \"monaco-14\")" (it needs the bigger text it seems). I then open a file with a lot of text, like the GPL, and scroll to the bottom. When I scroll back up you can see at least one pixel on the mode line where the line numbers are that shouldn't be there. There is also some storage pixels near the are that describes where you are in the file. The more times I scroll back and forth, the easier it is to see the pixels. 
> 

Ca you provide a screenshot?

> I also seem to be missing antialiasing in this version. Am I just crazy or did the text look better in 24.2?

See bug 11484 (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11484).

	Jan D.